SUBDOWNLOADER(1)

NAME
subdownloader - SubDownloader Documentation SubDownloader is a Free Open-Source tool written in PYTHON for automatic download/upload subtitles for videofiles (DIVX,MPEG,AVI,etc) and DVD's using fast hashing.

            usage: subdownloader [-h] [--version] [-V [PATH ...]] [-s FILE]
                                 [-l LANGUAGE [LANGUAGE ...]] [-g | -c] [-d | -w | -e |
                                 -q] [--log FILE] [-C] [-i] [-r] [--list-languages] [-D |
                                 -U] [--name-online | --name-video | --name-lang |
                                 --name-uploader] [-P PROXY]
                                 [--provider NAME [KEY1=VALUE1 [KEY2=VALUE2 [...]]] [NAME [KEY1=VALUE1 [KEY2=VALUE2 [...]]] ...]]

    --version
        show program's version number and exit

    -V, --video
        Full path to your video(s).

    -s, --settings
        Set the settings file.

    -l, --lang
        Set the preferred subtitle language(s) for download and upload.

Change settings of the interface

    -g, --gui
        Run application in GUI mode. This is the default.

    -c, --cli
        Run application in CLI mode.

Change the amount of logging done.

    -d, --debug
        Print log messages of debug severity and higher to stderr.

    -w, --warning
        Print log messages of warning severity and higher to stderr. This is the default.

    -e, --error
        Print log messages of error severity and higher to stderr.

    -q, --quiet
        Don't log anything to stderr.

    --log
        Path name of the log file.

Change the behavior of the command line interface.

    -C, --console
        Start a console.

    -i, --interactive
        Prompt user when decisions need to be done.

    -r, --recursive
        Search for subtitles recursively.

    --list-languages
        List available languages and quit.

    -D, --download
        Download subtitle(s). This is the default.

    -U, --upload
        Upload subtitle(s).

    --name-online
        Use the on-line subtitle filename as name for the downloaded subtitles.

    --name-video
        Use the local video filename as name for the downloaded subtitle.

    --name-lang
        Use the local video filename + language as name for the downloaded subtitle. This is the default.

    --name-uploader
        Use the local video filename + uploader + language as name for the downloaded subtitle.

Change parameters related to the online provider.

    -P, --proxy
        Proxy to use on internet connections.

    --provider
        Enable and configure a provider.

Visit us at <https://github.com/subdownloader/subdownloader>.

Author
SubDownloader Developers

Copyright
2019, SubDownloader Developers